# INTRODUCTION
Integrate sitesearch360.com into your Drupal 7 website

## Supported features
* Standard search
* Suggestions

## REQUIREMENTS
* A [sitesearch360.com](sitesearch360.com) account with API access
* Search (in core)

## INSTALLATION
Install the module as usual.

## CONFIGURATION
1. Go to */admin/config/search/settings*, scroll to "Active search modules"
and enable and set as default "Site Search 360" search module
2. Feel free to change the settings and Save
3. Disable other Search pages and set the newly created page as default
(optional but recommended to avoid confusion)

## API: Exposed hooks
### hook_sitesearch_360_search_key_alter()
Allows other modules to alter the query key sent to the API.

### hook_sitesearch_360_search_extraparams_alter()
Allows other modules to alter the query parameters sent to the API,
for the regular search.
```
function MYMODULE_sitesearch_360_search_extraparams_alter(&$params) {
  $params['query']['limit'] = "100";
}
````

Allows other modules to alter the query parameters sent to the API,
for the suggestions search.
```
function MYMODULE_sitesearch_360_suggests_query_params_alter(&$params) {
  $params['query']['limit'] = "5";
}
````

### hook_sitesearch_360_search_results_alter()
Allows other modules to alter the results before they are rendered.
For example:
```
function MYMODULE_sitesearch_360_search_results_alter(&$results) {
  foreach ($results['suggests']['_'] as $index => $result) {
    $results['suggests']['_'][$index]['name'] = 'My name: ' . $result['name'];
  }
}
````

## Further improvements
* Make the autocomplete fields configurable
* Suggestions autocomplete

## Credits
The development of this module is fully sponsored by
[Liip](https://www.liip.ch/en).
Although we are not affiliate in any way with
[sitesearch360.com](sitesearch360.com), we'd like to thank them for providing
us with the necessary, API-enabled account.
